/*
Definovan tvar souradnic
 */
package octantKlient;

/**
 *
 * @author FilipDvorak
 */
public class Souradnice {
    
    private Double souradniceX;
    private Double souradniceY;
    // slouzi pro fci která ve třídě Výpočet počítá vzdálenost středu kružnice od průsečíků
    Souradnice bod1;
    Souradnice bod2;
    
    public Double getSouradniceX() {
        return souradniceX;
    }

    public Double getSouradniceY() {
        return souradniceY;
    }

    public void setSouradniceX(Double souradniceX) {
        this.souradniceX = souradniceX;
    }

    public void setSouradniceY(Double souradniceY) {
        this.souradniceY = souradniceY;
    }

    public Souradnice(Double souradniceX, Double souradniceY) {
        this.souradniceX = souradniceX;
        this.souradniceY = souradniceY;
    }
    
    public Souradnice getBod1() {
        return bod1;
    }

    public Souradnice getBod2() {
        return bod2;
    }

    public void setBod1(Souradnice bod1) {
        this.bod1 = bod1;
    }

    public void setBod2(Souradnice bod2) {
        this.bod2 = bod2;
    }

    public Souradnice(Souradnice bod1, Souradnice bod2) {
        this.bod1 = bod1;
        this.bod2 = bod2;
    }
//pretizeni metody String do standartniho vystupu
    @Override
    public String toString() {
        return "x:" + souradniceX.toString() + ";y:" + souradniceY.toString();
    }
    
}
